import { AsyncStorage as IAsyncStorage, SyncStorage } from "@thirdweb-dev/wallets";
import { MMKV } from "react-native-mmkv";
export declare class AsyncLocalStorage implements IAsyncStorage {
    name: string;
    asyncStorage: MMKV;
    constructor(name: string);
    getItem(key: string): Promise<string | null>;
    setItem(key: string, value: string): Promise<void>;
    removeItem(key: string): Promise<void>;
}
/**
 * @internal
 */
export declare class LocalStorage implements SyncStorage {
    name: string;
    asyncStorage: MMKV;
    constructor(name: string);
    getItem(key: string): string | null;
    setItem(key: string, value: string): void;
    removeItem(key: string): void;
}
export declare class noopStorage implements IAsyncStorage {
    getItem(key: string): Promise<string | null>;
    setItem(key: string, value: string): Promise<void>;
    removeItem(key: string): Promise<void>;
}
/**
 * @internal
 *
 * Returns a new instance of AsyncLocalStorage
 *
 * @param name - Name to namespace the storage with
 * @returns A new instance of AsyncLocalStorage
 */
export declare function createAsyncLocalStorage(name: string): AsyncLocalStorage;
/**
 * @internal
 *
 * Returns a new instance of LocalStorage
 *
 * @param name - Name to namespace the storage with
 * @returns A new instance of LocalStorage
 */
export declare function createSyncStorage(name: string): LocalStorage;
