import { ISecureStorage } from "@thirdweb-dev/react-core";
import * as SecureStore from "expo-secure-store";
export declare class SecureStorage implements ISecureStorage {
    name: string;
    asyncStorage: typeof SecureStore;
    constructor(name: string);
    getItem(key: string): Promise<string | null>;
    setItem(key: string, value: string): Promise<void>;
    removeItem(key: string): Promise<void>;
}
/**
 * @internal
 * Returns a new instance of SecureStorage implemented by Expo SecureStore
 *
 * @param name - Name to namespace the storage with
 * @returns A new instance of SecureStorage
 */
export declare function createSecureStorage(name: string): SecureStorage;
