import * as SecureStore from "expo-secure-store";
const PREFIX = "__tw__";
export class SecureStorage {
    constructor(name) {
        this.name = name;
        this.asyncStorage = SecureStore;
    }
    getItem(key) {
        return this.asyncStorage.getItemAsync(`${PREFIX}_${this.name}_${key}`);
    }
    setItem(key, value) {
        return this.asyncStorage.setItemAsync(`${PREFIX}_${this.name}_${key}`, value);
    }
    removeItem(key) {
        return this.asyncStorage.deleteItemAsync(`${PREFIX}_${this.name}_${key}`);
    }
}
/**
 * @internal
 * Returns a new instance of SecureStorage implemented by Expo SecureStore
 *
 * @param name - Name to namespace the storage with
 * @returns A new instance of SecureStorage
 */
export function createSecureStorage(name) {
    return new SecureStorage(name);
}
