/// <reference types="react" />
import { SupportedTokens } from "../SendFunds/defaultTokens";
export type ConnectWalletDetailsProps = {
    address?: string;
    detailsButton?: React.FC<{
        onPress: () => void;
    }>;
    extraRows?: React.FC;
    hideTestnetFaucet?: boolean;
    /**
     * Override the default supported tokens for each network
     *
     * These tokens will be displayed in "Send Funds" Modal
     */
    supportedTokens: SupportedTokens;
    /**
     * Show balance of ERC20 token instead of the native token  in the "Connected" button when connected to certain network
     *
     * @example
     * ```tsx
     * <ConnectWallet balanceToken={{
     *  1: "0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599" // show USDC balance when connected to Ethereum mainnet
     * }} />
     * ```
     */
    displayBalanceToken?: Record<number, string>;
    /**
     * Hide the "switch to Personal wallet" option in the dropdown which is shown when wallet is connected to a Smart Wallet
     *
     * The default is `false`
     */
    hideSwitchToPersonalWallet?: boolean;
    /**
     * Option to hide the Send button in the wallet details modal.
     *
     * The default is `false`
     */
    hideSendButton?: boolean;
    /**
     * Option to hide the Receive button in the wallet details modal.
     *
     * The default is `false`
     */
    hideReceiveButton?: boolean;
    hideDisconnect?: boolean;
};
export declare const WalletDetailsButton: ({ address, detailsButton, extraRows, hideTestnetFaucet, hideReceiveButton, hideSendButton, supportedTokens, displayBalanceToken, hideSwitchToPersonalWallet, hideDisconnect, }: ConnectWalletDetailsProps) => import("react").JSX.Element;
