/// <reference types="react" />
import { ThemeProviderProps } from "../../styles/ThemeProvider";
export type ConnectWalletButtonProps = {
    theme?: ThemeProviderProps["theme"];
    /**
     * Set a custom title for the button
     *
     * The default is `"Connect Wallet"`
     */
    buttonTitle?: string;
    /**
     * Set a custom title for the Connect Wallet modal
     *
     * The default is `"Choose your wallet"`
     */
    modalTitle?: string;
    /**
     * Replace the thirdweb icon next to modalTitle and set your own iconUrl
     *
     * Set to empty string to hide the icon
     */
    modalTitleIconUrl?: string;
    /**
     * Set a custom terms of service url
     */
    termsOfServiceUrl?: string;
    /**
     * Set a custom privacy policy url
     */
    privacyPolicyUrl?: string;
};
export declare const ConnectWalletButton: ({ modalTitle, modalTitleIconUrl, termsOfServiceUrl, privacyPolicyUrl, buttonTitle, theme, }: ConnectWalletButtonProps) => import("react").JSX.Element;
