/// <reference types="react" />
/**
 * @internal
 */
declare const Box: import("react").ForwardRefExoticComponent<import("@shopify/restyle").BackgroundColorProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").OpacityProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").VisibleProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").LayoutProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").SpacingProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & {
    borderBottomWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    borderLeftWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    borderRightWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    borderStyle?: import("@shopify/restyle").ResponsiveValue<"solid" | "dotted" | "dashed" | undefined, unknown>;
    borderTopWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    borderStartWidth?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    borderEndWidth?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    borderWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
} & {
    borderColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    borderTopColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    borderRightColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    borderLeftColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    borderBottomColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    borderStartColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    borderEndColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
} & {
    borderRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderBottomLeftRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderBottomRightRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderTopLeftRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderTopRightRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderBottomStartRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderBottomEndRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderTopStartRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    borderTopEndRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
} & {
    shadowOpacity?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    shadowOffset?: import("@shopify/restyle").ResponsiveValue<{
        width: number;
        height: number;
    } | undefined, unknown>;
    shadowRadius?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    elevation?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
} & {
    shadowColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
} & {
    position?: import("@shopify/restyle").ResponsiveValue<"absolute" | "relative" | undefined, unknown>;
    top?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    right?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    bottom?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    left?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    start?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    end?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
} & {
    zIndex?: number | undefined;
} & import("@shopify/restyle").SpacingShorthandProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").BackgroundColorShorthandProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined; /**
             * @internal
             */
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & Omit<import("react-native").ViewProps & {
    children?: import("react").ReactNode;
}, "left" | "width" | "height" | "minWidth" | "maxWidth" | "minHeight" | "maxHeight" | "overflow" | "aspectRatio" | "alignContent" | "alignItems" | "alignSelf" | "justifyContent" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "margin" | "marginTop" | "marginRight" | "marginBottom" | "marginLeft" | "marginHorizontal" | "marginVertical" | "marginStart" | "marginEnd" | "padding" | "paddingTop" | "paddingRight" | "paddingBottom" | "paddingLeft" | "paddingHorizontal" | "paddingVertical" | "paddingStart" | "paddingEnd" | "columnGap" | "rowGap" | "gap" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderStyle" | "borderTopWidth" | "borderStartWidth" | "borderEndWidth" | "borderWidth" | "borderColor" | "borderTopColor" | "borderRightColor" | "borderLeftColor" | "borderBottomColor" | "borderStartColor" | "borderEndColor" | "borderRadius" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderBottomStartRadius" | "borderBottomEndRadius" | "borderTopStartRadius" | "borderTopEndRadius" | "shadowOpacity" | "shadowOffset" | "shadowRadius" | "elevation" | "position" | "top" | "right" | "bottom" | "start" | "end" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "my" | "ms" | "me" | "p" | "pt" | "pr" | "pb" | "pl" | "px" | "py" | "ps" | "pe" | "g" | "rg" | "cg" | "bg" | "backgroundColor" | "opacity" | "visible" | "shadowColor" | "zIndex"> & import("react").RefAttributes<unknown>> & {
    defaultProps?: Partial<import("@shopify/restyle").BackgroundColorProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").OpacityProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").VisibleProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").LayoutProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").SpacingProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & {
        borderBottomWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
        borderLeftWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
        borderRightWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
        borderStyle?: import("@shopify/restyle").ResponsiveValue<"solid" | "dotted" | "dashed" | undefined, unknown>;
        borderTopWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
        borderStartWidth?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        borderEndWidth?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        borderWidth?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    } & {
        borderColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
        borderTopColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
        borderRightColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
        borderLeftColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
        borderBottomColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
        borderStartColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
        borderEndColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    } & {
        borderRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderBottomLeftRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderBottomRightRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderTopLeftRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderTopRightRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderBottomStartRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderBottomEndRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderTopStartRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
        borderTopEndRadius?: import("@shopify/restyle").ResponsiveValue<"xs" | "sm" | "md" | "lg" | "xl" | "xxl", unknown> | undefined;
    } & {
        shadowOpacity?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
        shadowOffset?: import("@shopify/restyle").ResponsiveValue<{
            width: number;
            height: number;
        } | undefined, unknown>;
        shadowRadius?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
        elevation?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    } & {
        shadowColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    } & {
        position?: import("@shopify/restyle").ResponsiveValue<"absolute" | "relative" | undefined, unknown>;
        top?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        right?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        bottom?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        left?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        start?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
        end?: import("@shopify/restyle").ResponsiveValue<string | number | undefined, unknown>;
    } & {
        zIndex?: number | undefined;
    } & import("@shopify/restyle").SpacingShorthandProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").BackgroundColorShorthandProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined; /**
                 * @internal
                 */
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & Omit<import("react-native").ViewProps & {
        children?: import("react").ReactNode;
    }, "left" | "width" | "height" | "minWidth" | "maxWidth" | "minHeight" | "maxHeight" | "overflow" | "aspectRatio" | "alignContent" | "alignItems" | "alignSelf" | "justifyContent" | "flex" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "margin" | "marginTop" | "marginRight" | "marginBottom" | "marginLeft" | "marginHorizontal" | "marginVertical" | "marginStart" | "marginEnd" | "padding" | "paddingTop" | "paddingRight" | "paddingBottom" | "paddingLeft" | "paddingHorizontal" | "paddingVertical" | "paddingStart" | "paddingEnd" | "columnGap" | "rowGap" | "gap" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderStyle" | "borderTopWidth" | "borderStartWidth" | "borderEndWidth" | "borderWidth" | "borderColor" | "borderTopColor" | "borderRightColor" | "borderLeftColor" | "borderBottomColor" | "borderStartColor" | "borderEndColor" | "borderRadius" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderBottomStartRadius" | "borderBottomEndRadius" | "borderTopStartRadius" | "borderTopEndRadius" | "shadowOpacity" | "shadowOffset" | "shadowRadius" | "elevation" | "position" | "top" | "right" | "bottom" | "start" | "end" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "my" | "ms" | "me" | "p" | "pt" | "pr" | "pb" | "pl" | "px" | "py" | "ps" | "pe" | "g" | "rg" | "cg" | "bg" | "backgroundColor" | "opacity" | "visible" | "shadowColor" | "zIndex"> & import("react").RefAttributes<unknown>> | undefined;
};
export default Box;
