/// <reference types="react" />
/**
 * @internal
 */
declare const Text: import("react").ForwardRefExoticComponent<import("@shopify/restyle").ColorProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").OpacityProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").VisibleProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").TypographyProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & import("@shopify/restyle").SpacingProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & {
    textShadowOffset?: import("@shopify/restyle").ResponsiveValue<{
        width: number;
        height: number;
    } | undefined, unknown>;
    textShadowRadius?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
} & {
    textShadowColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
} & import("@shopify/restyle").VariantProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}, "textVariants"> & import("@shopify/restyle").SpacingShorthandProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}> & Omit<import("react-native").TextProps & {
    children?: import("react").ReactNode;
}, "fontFamily" | "fontSize" | "fontWeight" | "lineHeight" | "letterSpacing" | "textAlign" | "margin" | "marginTop" | "marginRight" | "marginBottom" | "marginLeft" | "marginHorizontal" | "marginVertical" | "marginStart" | "marginEnd" | "padding" | "paddingTop" | "paddingRight" | "paddingBottom" | "paddingLeft" | "paddingHorizontal" | "paddingVertical" | "paddingStart" | "paddingEnd" | "columnGap" | "rowGap" | "gap" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "my" | "ms" | "me" | "p" | "pt" | "pr" | "pb" | "pl" | "px" | "py" | "ps" | "pe" | "g" | "rg" | "cg" | "opacity" | "visible" | "fontStyle" | "includeFontPadding" | "fontVariant" | "textAlignVertical" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "verticalAlign" | "writingDirection" | "textShadowOffset" | "textShadowRadius" | "variant" | "textShadowColor" | keyof import("@shopify/restyle").ColorProps<{
    colors: {
        buttonBackgroundColor: string;
        buttonTextColor: string;
        buttonBorderColor: string;
        accentButtonColor: string;
        accentButtonTextColor: string;
        backgroundInverted: string;
        background: string;
        backgroundHighlight: string;
        textPrimary: string;
        textSecondary: string;
        iconPrimary: string;
        iconSecondary: string;
        iconHighlight: string;
        linkPrimary: string;
        labelBackground: string;
        border: string;
        black: string;
        white: string;
        red: string;
        transparent: string;
        warning: string;
        error: string;
    };
    spacing: {
        none: number;
        xxs: number;
        xs: number;
        sm: number;
        md: number;
        xmd: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    borderRadii: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        xxl: number;
    };
    textVariants: {
        defaults: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        header: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        headerBold: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        subHeader: {
            fontFamily: string | undefined;
            fontSize: number;
            fontWeight: string;
            lineHeight: number;
            color: string;
        };
        link: {
            fontFamily: string | undefined;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            color: string;
            letterSpacing: number;
        };
        bodyLarge: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodyLargeBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmall: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallBold: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        bodySmallSecondary: {
            fontFamily: string | undefined;
            color: string;
            textAlign: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
        };
        error: {
            fontFamily: string | undefined;
            color: string;
            fontWeight: string;
            fontSize: number;
            lineHeight: number;
            textAlign: string;
        };
    };
}>> & import("react").RefAttributes<unknown>> & {
    defaultProps?: Partial<import("@shopify/restyle").ColorProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").OpacityProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").VisibleProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").TypographyProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & import("@shopify/restyle").SpacingProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & {
        textShadowOffset?: import("@shopify/restyle").ResponsiveValue<{
            width: number;
            height: number;
        } | undefined, unknown>;
        textShadowRadius?: import("@shopify/restyle").ResponsiveValue<number | undefined, unknown>;
    } & {
        textShadowColor?: import("@shopify/restyle").ResponsiveValue<"black" | "white" | "red" | "transparent" | "textPrimary" | "textSecondary" | "linkPrimary" | "error" | "buttonBackgroundColor" | "buttonTextColor" | "buttonBorderColor" | "accentButtonColor" | "accentButtonTextColor" | "backgroundInverted" | "background" | "backgroundHighlight" | "iconPrimary" | "iconSecondary" | "iconHighlight" | "labelBackground" | "border" | "warning", unknown> | undefined;
    } & import("@shopify/restyle").VariantProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }, "textVariants"> & import("@shopify/restyle").SpacingShorthandProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }> & Omit<import("react-native").TextProps & {
        children?: import("react").ReactNode;
    }, "fontFamily" | "fontSize" | "fontWeight" | "lineHeight" | "letterSpacing" | "textAlign" | "margin" | "marginTop" | "marginRight" | "marginBottom" | "marginLeft" | "marginHorizontal" | "marginVertical" | "marginStart" | "marginEnd" | "padding" | "paddingTop" | "paddingRight" | "paddingBottom" | "paddingLeft" | "paddingHorizontal" | "paddingVertical" | "paddingStart" | "paddingEnd" | "columnGap" | "rowGap" | "gap" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "my" | "ms" | "me" | "p" | "pt" | "pr" | "pb" | "pl" | "px" | "py" | "ps" | "pe" | "g" | "rg" | "cg" | "opacity" | "visible" | "fontStyle" | "includeFontPadding" | "fontVariant" | "textAlignVertical" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "verticalAlign" | "writingDirection" | "textShadowOffset" | "textShadowRadius" | "variant" | "textShadowColor" | keyof import("@shopify/restyle").ColorProps<{
        colors: {
            buttonBackgroundColor: string;
            buttonTextColor: string;
            buttonBorderColor: string;
            accentButtonColor: string;
            accentButtonTextColor: string;
            backgroundInverted: string;
            background: string;
            backgroundHighlight: string;
            textPrimary: string;
            textSecondary: string;
            iconPrimary: string;
            iconSecondary: string;
            iconHighlight: string;
            linkPrimary: string;
            labelBackground: string;
            border: string;
            black: string;
            white: string;
            red: string;
            transparent: string;
            warning: string;
            error: string;
        };
        spacing: {
            none: number;
            xxs: number;
            xs: number;
            sm: number;
            md: number;
            xmd: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        borderRadii: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            xxl: number;
        };
        textVariants: {
            defaults: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            header: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            headerBold: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            subHeader: {
                fontFamily: string | undefined;
                fontSize: number;
                fontWeight: string;
                lineHeight: number;
                color: string;
            };
            link: {
                fontFamily: string | undefined;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                color: string;
                letterSpacing: number;
            };
            bodyLarge: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodyLargeBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmall: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallBold: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            bodySmallSecondary: {
                fontFamily: string | undefined;
                color: string;
                textAlign: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
            };
            error: {
                fontFamily: string | undefined;
                color: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                textAlign: string;
            };
        };
    }>> & import("react").RefAttributes<unknown>> | undefined;
};
export default Text;
