import { View } from "react-native";
import BaseButton from "./BaseButton";
import ImageSvgUri from "./ImageSvgUri";
import { Label } from "./Label";
import Text from "./Text";
import Box from "./Box";
import { useLocale } from "../../providers/ui-context-provider";
/**
 * @internal
 */
export const WalletButton = ({ iconWidth = 48, iconHeight = 48, mb, onPress, walletIconUrl, name, nameColor = "textPrimary", labelText, recommended, ...props }) => {
    const l = useLocale();
    return (<BaseButton mb={mb} flexDirection="row" justifyContent="space-between" alignItems="center" paddingHorizontal="md" paddingVertical="sm" borderRadius="sm" onPress={onPress} {...props}>
      <Box flexDirection="row" justifyContent="flex-start" alignItems="center">
        <ImageSvgUri imageUrl={walletIconUrl} width={iconWidth} height={iconHeight}/>
        <Box ml="sm" alignItems="flex-start">
          <Text variant="bodyLargeBold" color={nameColor}>
            {name}
          </Text>
          {recommended ? (<Text variant="link">{l.connect_wallet_details.recommended}</Text>) : null}
        </Box>
      </Box>
      {labelText ? <Label text={labelText}/> : <View />}
    </BaseButton>);
};
