import { createContext, useContext, useState } from "react";
import { useWalletConnectListener } from "../wallets/hooks/useWalletConnectListener";
const DappContext = createContext({});
export const DappContextProvider = (props) => {
    const [smartWallet, setSmartWallet] = useState();
    useWalletConnectListener();
    return (<DappContext.Provider value={{
            smartWallet,
            setSmartWallet,
        }}>
      {props.children}
    </DappContext.Provider>);
};
export const useDappContext = () => {
    return useContext(DappContext);
};
export const useSmartWallet = () => {
    const context = useContext(DappContext);
    return [context.smartWallet, context.setSmartWallet];
};
