import { darkTheme, lightTheme } from "./theme";
import { ThemeProvider as ShopifyThemeProvider } from "@shopify/restyle";
import { ThirdwebThemeContext } from "@thirdweb-dev/react-core";
import { useContext } from "react";
import { useColorScheme } from "react-native";
import { useUIContext } from "../providers/ui-context-provider";
export function ThemeProvider({ children, theme, }) {
    const isDarkMode = useColorScheme() === "dark";
    const themeFromCore = useContext(ThirdwebThemeContext);
    const themeFromRN = useUIContext().theme;
    const theme_ = theme || themeFromRN || themeFromCore || (isDarkMode ? "dark" : "light");
    return (<ShopifyThemeProvider theme={typeof theme_ === "object"
            ? theme_
            : theme_ === "dark"
                ? darkTheme()
                : lightTheme()}>
      {children}
    </ShopifyThemeProvider>);
}
