export function deepMerge(target, source = {}) {
    for (const key in source) {
        if (!source.hasOwnProperty(key)) {
            continue;
        }
        if (isObject(target) &&
            target.hasOwnProperty(key) &&
            isObject(target[key])) {
            deepMerge(target[key], source[key]);
        }
        else {
            target[key] = source[key];
        }
    }
    return target;
}
function isObject(obj) {
    return obj !== null && typeof obj === "object";
}
