import { AuthStoredTokenWithCookieReturnType, SendEmailOtpReturnType } from "@thirdweb-dev/wallets";
import { AuthEndpointOptions, AuthOptions, OauthOption } from "../types";
export declare function sendVerificationEmail(options: {
    email: string;
    clientId: string;
}): Promise<SendEmailOtpReturnType>;
export declare function validateEmailOTP(options: {
    email: string;
    otp: string;
    clientId: string;
    recoveryCode?: string;
}): Promise<AuthStoredTokenWithCookieReturnType>;
export declare function socialLogin(oauthOptions: OauthOption, clientId: string): Promise<{
    storedToken: any;
    email: any;
}>;
export declare function customJwt(authOptions: AuthOptions, clientId: string): Promise<{
    verifiedToken: any;
    email: any;
}>;
export declare function authEndpoint(authOptions: AuthEndpointOptions, clientId: string): Promise<{
    verifiedToken: any;
    email: any;
}>;
export declare function deleteActiveAccount(options: {
    clientId: string;
}): Promise<boolean>;
