/**
 * Hook to connect to the Coinbase wallet.
 *
 * const connect = useCoinbaseWallet('org.reactjs.native.example.test15://');
 * connect();
 *
 * @param callbackURL - The Universal Link used by Coinbase Wallet to return responses to your application.
 * @returns connect function to connect to the Coinbase wallet
 */
export declare function useCoinbaseWallet(callbackURL: URL): (connectOptions?: {
    chainId?: number;
}) => Promise<import("../wallets/coinbase-wallet").CoinbaseWallet>;
