import { type WalletConfig, WalletInstance } from "@thirdweb-dev/react-core";
import { type SmartWalletConnectionArgs } from "@thirdweb-dev/wallets/evm/wallets/smart-wallet";
import type { BytesLike } from "ethers";
import { SmartWalletConfig } from "../types/smart-wallet";
export declare function useSmartWallet<W extends WalletInstance>(personalWallet: WalletConfig<W>, options: SmartWalletConfig): {
    connect: (args?: {
        connectPersonalWallet?: (wallet: W) => Promise<void>;
        connectionArgs?: Omit<SmartWalletConnectionArgs, "personalWallet">;
    }) => Promise<import("@thirdweb-dev/wallets/evm/wallets/smart-wallet").SmartWallet>;
    predictAddress: (args: {
        personalWalletAddress: string;
        data?: BytesLike;
    }) => Promise<string>;
};
