import { EmbeddedWallet } from "./EmbeddedWallet";
import { EmbeddedConnectionUI } from "./EmbeddedConnectionUI";
import { EmailSelectionUI } from "./EmbeddedSelectionUI";
export const embeddedWallet = (config) => {
    const selectUI = (props) => (<EmailSelectionUI {...props} auth={config?.auth || {
            options: ["email"],
        }}/>);
    return {
        id: EmbeddedWallet.id,
        meta: EmbeddedWallet.meta,
        create(options) {
            return new EmbeddedWallet({
                ...options,
                ...config,
                clientId: options.clientId || "",
            });
        },
        selectUI: selectUI,
        connectUI: EmbeddedConnectionUI,
    };
};
