import { LocalWallet } from "./LocalWallet";
import { WalletOptions } from "@thirdweb-dev/wallets";
/**
 * Wallet config for a Local Wallet
 *
 * @param config - The config for the Local Wallet
 * @returns The wallet config to be used by the ThirdwebProvider
 *
 * @example
 * ```jsx
 * import { ThirdwebProvider, localWallet } from "@thirdweb-dev/react-native";
 *
 * <ThirdwebProvider
 *    supportedWallets={[
 *      localWallet(),
 *    ]}>
 *   <YourApp />
 * </ThirdwebProvider>
 * ```
 */
export declare const localWallet: () => {
    id: string;
    meta: {
        name: string;
        iconURL: string;
    };
    create: (options: WalletOptions) => LocalWallet;
};
