import { WalletOptions as WalletOptionsRC } from "@thirdweb-dev/react-core";
import { WalletConnectBase } from "./wallet-connect/WalletConnectBase";
import { WalletConnectConfig } from "./wallet-connect/wallet-connect";
export declare class RainbowWallet extends WalletConnectBase {
    static id: "rainbow";
    static meta: {
        name: string;
        iconURL: string;
        links: {
            native: string;
            universal: string;
        };
    };
    getMeta(): {
        name: string;
        iconURL: string;
        links: {
            native: string;
            universal: string;
        };
    };
}
/**
 * Wallet config for Rainbow Wallet.
 *
 * @param config - The config for RainbowWallet
 * @returns The wallet config to be used by the ThirdwebProvider
 *
 * @example
 * ```jsx
 * import { ThirdwebProvider, rainbowWallet } from "@thirdweb-dev/react-native";
 *
 * <ThirdwebProvider
 *    supportedWallets={[rainbowWallet()]}>
 *   <YourApp />
 * </ThirdwebProvider>
 * ```
 */
export declare const rainbowWallet: (config?: WalletConnectConfig) => {
    id: "rainbow";
    meta: {
        name: string;
        iconURL: string;
        links: {
            native: string;
            universal: string;
        };
    };
    create: (options: WalletOptionsRC) => RainbowWallet;
    recommended: boolean | undefined;
};
